Halide 22.0.0 Halide compiler and libraries

Public Attributes | List of all members
CheckCalls Class Reference

`#include <check_call_graphs.h>`

Inheritance diagram for CheckCalls:

## Public Attributes
CallGraphs | calls
std::string | producer = ""

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::IRMutator
| IRMutator ()=default
virtual | ~IRMutator ()=default
virtual Expr | mutate (const Expr &expr)
| This is the main interface for using a mutator. More...
virtual Stmt | mutate (const Stmt &stmt)
std::pair< std::vector< Expr >, bool > | mutate_with_changes (const std::vector< Expr > &)
std::vector< Expr > | mutate (const std::vector< Expr > &exprs)
Protected Member Functions inherited from Halide::Internal::IRMutator
virtual Expr | visit (const IntImm *)
virtual Expr | visit (const UIntImm *)
virtual Expr | visit (const FloatImm *)
virtual Expr | visit (const StringImm *)
virtual Expr | visit (const Cast *)
virtual Expr | visit (const Reinterpret *)
virtual Expr | visit (const Variable *)
virtual Expr | visit (const Add *)
virtual Expr | visit (const Sub *)
virtual Expr | visit (const Mul *)
virtual Expr | visit (const Div *)
virtual Expr | visit (const Mod *)
virtual Expr | visit (const Min *)
virtual Expr | visit (const Max *)
virtual Expr | visit (const EQ *)
virtual Expr | visit (const NE *)
virtual Expr | visit (const LT *)
virtual Expr | visit (const LE *)
virtual Expr | visit (const GT *)
virtual Expr | visit (const GE *)
virtual Expr | visit (const And *)
virtual Expr | visit (const Or *)
virtual Expr | visit (const Not *)
virtual Expr | visit (const Select *)
virtual Expr | visit (const Load *)
virtual Expr | visit (const Ramp *)
virtual Expr | visit (const Broadcast *)
virtual Expr | visit (const Call *)
virtual Expr | visit (const Let *)
virtual Expr | visit (const Shuffle *)
virtual Expr | visit (const VectorReduce *)
virtual Stmt | visit (const LetStmt *)
virtual Stmt | visit (const AssertStmt *)
virtual Stmt | visit (const ProducerConsumer *)
virtual Stmt | visit (const For *)
virtual Stmt | visit (const Store *)
virtual Stmt | visit (const Provide *)
virtual Stmt | visit (const Allocate *)
virtual Stmt | visit (const Free *)
virtual Stmt | visit (const Realize *)
virtual Stmt | visit (const Block *)
virtual Stmt | visit (const IfThenElse *)
virtual Stmt | visit (const Evaluate *)
virtual Stmt | visit (const Prefetch *)
virtual Stmt | visit (const Acquire *)
virtual Stmt | visit (const Fork *)
virtual Stmt | visit (const Atomic *)
virtual Stmt | visit (const HoistedStorage *)

## Detailed Description

Definition at line 17 of file check_call_graphs.h.

## Member Data Documentation

## ◆ calls

CallGraphs CheckCalls::calls

Definition at line 19 of file check_call_graphs.h.

Referenced by check_call_graphs().

## ◆ producer

std::string CheckCalls::producer = ""

Definition at line 20 of file check_call_graphs.h.

The documentation for this class was generated from the following file:

- test/common/check_call_graphs.h